@font-face {
  src: url("font/Clab\ Personal\ Use-Regular.otf");
  font-family: clab;
}

@font-face {
  src: url("font/Lato-Bold.ttf");
  font-family: lato-bold;
}

@font-face {
  src: url("font/Lato-Black.ttf");
  font-family: lato-black;
}
@font-face {
  src: url("font/Kaufmann-Bold.otf");
  font-family: caption;
}

:root {
  --bg-color: #f0f9fe;
  --hd-color: #bfe4f7;
  --hd-txt-color: #1166b0;
  --txt-color: #2e3f49;
  --other-color: #e6e1da;
  --wht: #ffffff;
}

body {
  background: var(--bg-color);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  font-family: clab;
}

/* menu bar */

#check {
  display: none;
}

label {
  position: fixed;
  cursor: pointer;
  font-size: 3.5rem;
  color: var(--hd-txt-color);
  right: 2rem;
  top: 0.5rem;
  z-index: 9000;
  display: none;
}

#check:checked ~ .menubar ul {
  left: 0rem;
}

.head {
  display: flex;
  background: var(--hd-color);
  padding: 1rem;
  padding-left: 3rem;
  vertical-align: middle;
  align-items: center;
}

.combmenu {
  display: flex;
  position: absolute;
  right: 0;
  align-items: center;
}

.menubar li {
  list-style-type: none;
  display: inline-block;
  padding: 0 5rem;
}

.menubar a {
  text-decoration: none;
  font-size: 2.5rem;
  color: var(--hd-txt-color);
  justify-content: center;
}

.menubar a:hover {
  color: var(--txt-color);
}

span {
  animation: flickr 2s ease infinite;
  -webkit-animation: flickr 2s ease infinite;
  font-weight: 900;
  transition: 0.35s ease;
}

@keyframes flickr {
  0% {
    color: #1166b0;
  }
  20% {
    color: #d679f0;
  }
  40% {
    color: #586407;
  }
  60% {
    color: #896bf7;
  }
  80% {
    color: #bd1717;
  }
  100% {
    color: #0d964b;
  }
}

.pipe {
  width: 0.3rem;
  height: 8rem;
  background: var(--hd-txt-color);
}

.pipe-phone {
  width: 0.3rem;
  height: 8rem;
  background: var(--hd-txt-color);
}

.pipe-phonetop {
  width: 0.3rem;
  height: 8rem;
  background: var(--hd-txt-color);
}

.phone p {
  font-size: 2.5rem;
  color: var(--hd-txt-color);
  justify-content: flex-end;
  align-items: flex-end;
  padding-left: 5rem;
  padding-right: 3rem;
}

.carousal img {
  width: 100vw;
  height: 100%;
}

.logos {
  padding: 1rem 0;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
}

.divider {
  display: flex;
  justify-content: center;
}

.tagline h2 {
  font-size: 3.3rem;
  font-family: caption;
  text-align: center;
  padding-top: 0.7rem;
  padding-bottom: 1.5rem;
}

.dealer {
  background: var(--wht);
}

.deal p {
  font-size: 3.3rem;
  font-family: clab;
  text-align: center;
  color: var(--wht);
  background: var(--txt-color);
  padding: 2rem;
}

.products {
  display: flex;
  width: 100%;
  height: auto;
  justify-content: space-around;
  flex-wrap: wrap;
  background: var(--bg-color);
}

.landpage {
  width: 100vw;
  display: flex;
  justify-content: center;
}

.landpage img {
  width: 100%;
  height: auto;
  padding-bottom: 2rem;
}

.range {
  align-items: center;
  text-align: center;
  padding: 2rem 5rem;
}

.range p {
  font-size: 3rem;
  color: var(--txt-color);
  vertical-align: bottom;
}

/* ABOUT SECTION */

.about {
  display: flex;
  align-items: center;
  background: var(--other-color);
}

.about_text {
  padding: 4rem;
}

.about_text h1 {
  font-size: 5rem;
  padding-bottom: 3rem;
  line-height: 4rem;
}

.about_text p {
  font-size: 3rem;
  padding-top: 4rem;
  line-height: 5rem;
}

.offerings {
  display: flex;
  justify-content: space-around;
  text-align: center;
}

.offerings_separate {
  background: var(--other-color);
  padding: 5rem;
  width: 23%;
  margin: 5rem;
}

.offerings_separate p {
  font-size: 3.5rem;
}

/* FOOTER SECTION */

footer {
  background: var(--hd-color);
  display: flex;
  justify-content: space-around;
  padding: 2rem;
  padding-left: 10rem;
  padding-right: 10rem;
  align-items: center;
  text-align: center;
}

footer p {
  font-size: 2.5rem;
  font-family: lato-bold;
  vertical-align: center;
  color: var(--hd-txt-color);
}

.call {
  font-size: 4rem;
  font-family: lato-black;
  vertical-align: center;
  color: var(--hd-txt-color);
}

.maps_size {
  width: 100vw;
  height: 70vh;
}

/* MEDIA QUERY */

@media (max-width: 1500px) {
  /* menu bar */

  .vidyalogo img {
    width: 70%;
    height: auto;
  }

  .head {
    padding-left: 1rem;
  }

  .menubar a {
    font-size: 1.8rem;
  }
  .menubar li {
    padding: 0 2rem;
  }

  .phone p {
    font-size: 1.8rem;
    padding-left: 2rem;
    padding-right: 2rem;
  }
  .logos img {
    width: 12rem;
    height: auto;
  }

  .pipe {
    width: 0.2rem;
    height: 6rem;
    background: var(--hd-txt-color);
  }

  .pipe-phonetop {
    width: 0.2rem;
    height: 6rem;
    background: var(--hd-txt-color);
  }

  .divider img {
    width: 30%;
  }

  .tagline h2 {
    font-size: 2.5rem;
  }

  .deal p {
    font-size: 2.5rem;
  }

  /* product range */

  .products {
    width: 100%;
  }

  .range {
    padding: 1rem 1rem;
  }

  .range p {
    font-size: 2.6rem;
    color: var(--txt-color);
    vertical-align: bottom;
  }

  /* about */

  .about {
    display: flex;
  }

  .about_text {
    padding: 0rem;
    padding-left: 4rem;
    padding-right: 4rem;
  }

  .about_img img {
    width: 50vw;
    height: 50vh;
  }

  .about_text h1 {
    font-size: 3rem;
    padding-bottom: 0rem;
    line-height: 4rem;
  }

  .about_text p {
    font-size: 1.9rem;
    padding-top: 2.5rem;
    line-height: 3.6rem;
  }

  .offerings {
    flex-direction: row;
    justify-content: none;
  }

  .offerings_separate {
    padding: 1.5rem;
    width: 100%;
    margin: 2rem;
  }

  /* footer */

  footer {
    padding-left: 3rem;
    padding-right: 3rem;
  }

  footer img {
    width: 80%;
  }

  footer p {
    font-size: 1.7rem;
  }

  .call {
    font-size: 2.5rem;
    font-family: lato-black;
    vertical-align: center;
    color: var(--hd-txt-color);
  }
}

@media (max-width: 935px) {
  /* menu bar */

  .vidyalogo img {
    width: 70%;
    height: auto;
  }

  .head {
    padding-left: 1rem;
  }

  label {
    display: block;
  }

  .menubar ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: var(--hd-color);
    top: 13.2rem;
    left: -100%;
    text-align: center;
    transition: all 0.5s ease;
  }

  .menubar a {
    font-size: 1.8rem;
  }

  .menubar li {
    padding: 2rem 6rem;
    display: block;
    z-index: 100;
  }

  .phone {
    display: none;
  }
  .logos img {
    width: 8rem;
    height: auto;
  }

  .pipe {
    width: 0.2rem;
    height: 6rem;
    background: var(--hd-txt-color);
  }
  .pipe-phonetop {
    display: none;
  }

  .divider img {
    width: 30%;
  }

  .tagline h2 {
    font-size: 2.5rem;
  }

  .deal p {
    font-size: 2rem;
  }

  /* product range */

  .products {
    width: 100%;
  }

  .range {
    padding: 0rem 0rem;
  }

  .range p {
    font-size: 2.5rem;
  }

  /* about */

  .about {
    display: block;
  }

  .about_img img {
    width: 100vw;
    height: auto;
  }

  .about_text {
    padding: 2.5rem;
  }

  .about_text h1 {
    font-size: 3rem;
    padding-bottom: 0rem;
    line-height: 4rem;
  }

  .about_text p {
    font-size: 1.9rem;
    padding-top: 2.5rem;
    line-height: 4rem;
  }

  .offerings {
    flex-direction: row;
    justify-content: none;
  }

  .offerings_separate {
    padding: 1.5rem;
    width: 100%;
    margin: 1rem;
    margin-top: 2rem;
  }

  .offerings_separate p {
    font-size: 2rem;
  }

  /* footer */

  footer {
    padding-left: 3rem;
    padding-right: 3rem;
  }

  footer img {
    width: 80%;
  }

  footer p {
    font-size: 1.7rem;
  }

  .call {
    font-size: 2.5rem;
    font-family: lato-black;
    vertical-align: center;
    color: var(--hd-txt-color);
  }
}

@media (max-width: 768px) {
  /* menu bar */

  .vidyalogo img {
    width: 70%;
    height: auto;
  }

  .head {
    padding-left: 1rem;
  }

  label {
    display: block;
  }

  .menubar ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: var(--hd-color);
    top: 13.2rem;
    left: -100%;
    text-align: center;
    transition: all 0.5s ease;
  }

  .menubar a {
    font-size: 1.8rem;
  }

  .menubar li {
    padding: 2rem 6rem;
    display: block;
    z-index: 100;
  }

  .phone {
    display: none;
  }
  .logos img {
    width: 8rem;
    height: auto;
  }

  .pipe {
    width: 0.2rem;
    height: 6rem;
    background: var(--hd-txt-color);
  }
  .pipe-phonetop {
    display: none;
  }

  .divider img {
    width: 30%;
  }

  .tagline h2 {
    font-size: 2.5rem;
  }

  .deal p {
    font-size: 2rem;
  }

  /* product range */

  .products {
    width: 100%;
  }

  .range {
    padding: 0rem 0rem;
  }

  .range p {
    font-size: 2.5rem;
  }

  /* about */

  .about {
    display: block;
  }

  .about_img img {
    width: 100vw;
    height: auto;
  }

  .about_text {
    padding: 2.5rem;
  }

  .about_text h1 {
    font-size: 3rem;
    padding-bottom: 0rem;
    line-height: 4rem;
  }

  .about_text p {
    font-size: 1.9rem;
    padding-top: 2.5rem;
    line-height: 4rem;
  }

  .offerings {
    flex-direction: row;
    justify-content: none;
  }

  .offerings_separate {
    padding: 1.5rem;
    width: 100%;
    margin: 1rem;
    margin-top: 2rem;
  }

  .offerings_separate p {
    font-size: 2rem;
  }

  /* footer */

  footer {
    padding-left: 3rem;
    padding-right: 3rem;
  }

  footer img {
    width: 80%;
  }

  footer p {
    font-size: 1.7rem;
  }

  .call {
    font-size: 2.5rem;
    font-family: lato-black;
    vertical-align: center;
    color: var(--hd-txt-color);
  }
}

@media (max-width: 450px) {
  /* menu bar */

  .vidyalogo img {
    width: 35%;
    height: auto;
  }

  .head {
    padding-left: 1rem;
  }

  label {
    display: block;
  }

  .menubar ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: var(--hd-color);
    top: 7.8rem;
    left: -100%;
    text-align: center;
    transition: all 0.5s ease;
  }

  .menubar a {
    font-size: 1.7rem;
  }
  .menubar li {
    padding: 2rem 6rem;
    display: block;
    z-index: 100;
  }

  .phone {
    display: none;
  }

  .logos img {
    width: 4rem;
    height: auto;
  }

  .pipe {
    width: 0.15rem;
    height: 4rem;
    background: var(--hd-txt-color);
  }
  .pipe-phone {
    display: none;
  }

  .divider img {
    width: 30%;
  }

  .tagline h2 {
    font-size: 2rem;
  }

  .deal p {
    font-size: 1.4rem;
  }

  /* about */

  .about {
    display: block;
  }

  .about_img img {
    width: 100vw;
    height: auto;
  }

  .about_text {
    padding: 2rem;
  }

  .about_text h1 {
    font-size: 2.8rem;
    padding-bottom: 0rem;
    line-height: 3.9rem;
  }

  .about_text p {
    font-size: 1.6rem;
    padding-top: 2rem;
    line-height: 3.5rem;
  }

  .offerings {
    flex-direction: column;
    justify-content: none;
  }

  .offerings_separate {
    padding: 1.5rem;
    width: 100%;
    margin: 0rem;
    margin-top: 2rem;
  }

  .offerings_separate p {
    font-size: 2.2rem;
  }

  /* product range */

  .products {
    width: 100%;
  }

  .range {
    padding: 1rem 0rem;
  }

  .range img {
    width: 90vw;
  }

  .range p {
    font-size: 2.3rem;
  }

  /* footer */

  footer {
    display: block;
    padding: 1rem;
    padding-left: 0rem;
    padding-right: 0rem;
  }

  footer img {
    width: 60%;
  }

  footer p {
    font-size: 1.7rem;
  }

  .call {
    font-size: 2.5rem;
    font-family: lato-black;
    vertical-align: center;
    color: var(--hd-txt-color);
  }
}

@media (max-width: 340px) {
  /* menu bar */

  .vidyalogo img {
    width: 35%;
    height: auto;
  }

  .head {
    padding-left: 1rem;
  }

  label {
    display: block;
  }

  .menubar ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: var(--hd-color);
    top: 7.8rem;
    left: -100%;
    text-align: center;
    transition: all 0.5s ease;
  }

  .menubar a {
    font-size: 1.2rem;
  }

  .menubar li {
    padding: 2rem 6rem;
    display: block;
    z-index: 100;
  }

  .phone {
    display: none;
  }

  .logos img {
    width: 4rem;
    height: auto;
  }

  .pipe {
    width: 0.13rem;
    height: 2.5rem;
    background: var(--hd-txt-color);
  }

  .pipe-phone {
    display: none;
  }

  .divider img {
    width: 30%;
  }

  .tagline h2 {
    font-size: 1.8rem;
  }

  .deal p {
    font-size: 1.4rem;
  }

  /* about */

  .about {
    display: block;
  }

  .about_img img {
    width: 100vw;
    height: auto;
  }

  .about_text {
    padding: 2rem;
  }

  .about_text h1 {
    font-size: 2.8rem;
    padding-bottom: 0rem;
    line-height: 3rem;
  }

  .about_text p {
    font-size: 1.8rem;
    padding-top: 2rem;
    line-height: 4rem;
  }

  .offerings {
    flex-direction: column;
    justify-content: none;
  }

  .offerings_separate {
    padding: 1.5rem;
    width: 100%;
    margin: 0rem;
    margin-top: 2rem;
  }

  .offerings_separate p {
    font-size: 2.5rem;
  }

  /* product range */

  .products {
    width: 100%;
  }

  .range {
    padding: 1rem 0rem;
  }

  .range img {
    width: 90vw;
  }

  .range p {
    font-size: 2rem;
  }

  /* footer */

  footer {
    display: block;
    padding: 1rem;
    padding-left: 0rem;
    padding-right: 0rem;
  }

  footer img {
    width: 65%;
  }

  footer p {
    font-size: 1.4rem;
  }

  .call {
    font-size: 2.3rem;
    font-family: lato-black;
    vertical-align: center;
    color: var(--hd-txt-color);
  }
}
